$hover-block-bg:$light-bg !default;
.hover-block {
    cursor: pointer;
    position: relative;
    display: block;
    overflow: hidden;
    
    &:hover,
    &:focus {
        .hover-block__hover-contents {
            opacity: 1;
            bottom:0;
        }
        
        .hover-block__contents__footer{
         display: none;
        }
    }
    img {
        width: 100%;
    }
    *{
        transition: all .5s ease;
    }
}

.hover-block__contents {
    img {
        display: block;
    }
}


.hover-block__hover-contents {
    opacity: 0;
    position: absolute;
    bottom: -30px;
    background: rgba($secondary-color,0.9);
    color: $white;
    width: 100%;
    height:100%;
    padding: 1rem;
    
    @include breakpoint(medium) {
        padding: 5% 1rem 1rem 1rem;
    }
    a {
        color: $white;
    }
}
.hover-block__contents__footer,
.hover-block__hover-contents__footer
{
    
    position: absolute;
    bottom: 0;
    background: rgba($primary-color,0.9);
    color: $white;
    width: 100%;
    left:0;
    padding: 1rem;
    min-height: 25%;
    display: block;
    .hover-block__hover-contents &{
       background: rgba($primary-color,0.0);
    }
}